SystemOrganization addCategory: #ConfigurationOfHighOctane!

Object subclass: #ConfigurationOfHighOctane
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfHighOctane'!

!ConfigurationOfHighOctane commentStamp: 'PhilippeBack 3/30/2012 15:04' prior: 0!
I am the configuration of High Octane Sandbox, allowing test driving lots of things.!

!ConfigurationOfHighOctane class methodsFor: 'development support' stamp: 'PhilippeBack 3/30/2012 15:03'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfHighOctane class methodsFor: 'private' stamp: 'PhilippeBack 3/30/2012 15:03'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfHighOctane class methodsFor: 'private' stamp: 'PhilippeBack 3/30/2012 15:03'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfHighOctane class methodsFor: 'private' stamp: 'PhilippeBack 3/30/2012 15:03'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfHighOctane class methodsFor: 'metacello tool support' stamp: 'PhilippeBack 3/30/2012 15:03'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfHighOctane class methodsFor: 'loading' stamp: 'PhilippeBack 3/30/2012 15:03'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfHighOctane class methodsFor: 'loading' stamp: 'PhilippeBack 3/30/2012 15:03'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfHighOctane class methodsFor: 'loading' stamp: 'PhilippeBack 3/30/2012 15:03'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfHighOctane class methodsFor: 'accessing' stamp: 'PhilippeBack 3/30/2012 15:03'!
project

	^self new project! !

!ConfigurationOfHighOctane class methodsFor: 'development support' stamp: 'PhilippeBack 3/30/2012 15:03'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfHighOctane methodsFor: 'accessing' stamp: 'PhilippeBack 3/30/2012 15:03'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfHighOctane methodsFor: 'accessing' stamp: 'PhilippeBack 3/30/2012 15:34'!
version01: spec
  <version: '0.1'>
  spec for: #common do: [
    spec repository: 'http://ss3.gemstone.com/ss/HO-Experiments'.
    spec package: 'HighOctane-Sandbox' with: 'HighOctane-PhilippeBack.2'
  ].! !

!ConfigurationOfHighOctane methodsFor: 'accessing' stamp: 'PhilippeBack 4/1/2012 20:04'!
version02: spec
  <version: '0.2'>
  spec for: #common do: [
    spec repository: 'http://ss3.gemstone.com/ss/HO-Experiments'.
    spec package: 'HighOctane-Sandbox' with: 'HighOctane-PhilippeBack.7'
  ].! !
